Subject: [bug#44560] [PATCH v16 0/6] New take on: Semantic version aware recursive importer for crates

From: Hartmut Goebel <[email-masked]>
Date: Tue, 10 Nov 2020 22:39:19 +0100

This is a new attempt to get this stale patch done.

Summary:

* All remarks by Ludo have been handled so far. IMHO we are almost done with
  this series.

* Major design decision open: Shall package variable names have sem semver
  version appended instead of major+minor?

* Still some minor issues, which I'll comment on in the next messages.

This series basically is the series Martin posted in
https://lists.gnu.org/archive/html/guix-patches/2020-04/msg01442.html with two
patches (the first and sixth) replaced by
https://lists.gnu.org/archive/html/guix-patches/2020-05/msg00408.html and
https://lists.gnu.org/archive/html/guix-patches/2020-08/msg00432.html
I applied these on fdb77b362 (2020-08-09) and rebased it to master.

I reviewed the commit messages, and in the code adjusted some formatting and
fixed some typos. I also moved patch 6 to become the 2nd one, since
guile-semver is required in the (now) 3rd patch.

Martin Becze (6):
  import: utils: 'recursive-import' accepts an optional version
    parameter.
  guix: self: Add guile-semver as a depenedency.
  import: crate: Use guile-semver to resolve module versions.
  import: crate: Memorize crate->guix-package.
  import: utils: Trim patch version from names.
  import: crate: Parameterized importing of dev dependencies.

 guix/import/cran.scm          |   8 +-
 guix/import/crate.scm         | 112 ++++++++----
 guix/import/elpa.scm          |   6 +-
 guix/import/gem.scm           |   6 +-
 guix/import/opam.scm          |   8 +-
 guix/import/pypi.scm          |   8 +-
 guix/import/stackage.scm      |   5 +-
 guix/import/utils.scm         |  79 +++++---
 guix/scripts/import/cran.scm  |   5 +-
 guix/scripts/import/crate.scm |  13 +-
 guix/scripts/import/elpa.scm  |   4 +-
 guix/self.scm                 |   8 +-
 tests/crate.scm               | 329 +++++++++++++++++++---------------
 tests/elpa.scm                |   3 +-
 tests/import-utils.scm        |   8 +-
 15 files changed, 362 insertions(+), 240 deletions(-)

-- 
2.21.3